Table Smart Object.

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

Typedefs | Enumerations
Table Smart Object.
Evas » Smart Object Functions

Convenience smart object that packs children using a tabular layout using children size hints to define their size and alignment inside their cell space. More...

## Typedefs
typedef enum _Evas_Object_Table_Homogeneous_Mode | Evas_Object_Table_Homogeneous_Mode
| How to pack items into cells in a table. More...

## Enumerations
enum | _Evas_Object_Table_Homogeneous_Mode { EVAS_OBJECT_TABLE_HOMOGENEOUS_NONE = 0, EVAS_OBJECT_TABLE_HOMOGENEOUS_TABLE = 1, EVAS_OBJECT_TABLE_HOMOGENEOUS_ITEM = 2 }
| How to pack items into cells in a table. More...
Evas_Object * | evas_object_table_add (Evas *evas)
| Create a new table. More...
Evas_Object * | evas_object_table_child_get (const Evas_Object *o, unsigned short col, unsigned short row)
| Get the child of the table at the given coordinates. More...

## Detailed Description

Convenience smart object that packs children using a tabular layout using children size hints to define their size and alignment inside their cell space.

Table Smart Object example shows how to use this Evas_Object.

See also
  Size Hints

## Typedef Documentation

typedef enum _Evas_Object_Table_Homogeneous_Mode Evas_Object_Table_Homogeneous_Mode

How to pack items into cells in a table.

See also
  evas_object_table_homogeneous_set() for an explanation of the function of each one.Table cell pack mode.

## Enumeration Type Documentation

enum _Evas_Object_Table_Homogeneous_Mode

How to pack items into cells in a table.

See also
  evas_object_table_homogeneous_set() for an explanation of the function of each one.

## Function Documentation

Evas_Object* evas_object_table_add | ( | Evas * | evas | ) |

Create a new table.

Parameters

  evas | Canvas in which table will be added.

Evas_Object* evas_object_table_child_get | ( | const Evas_Object * | o,
|  | unsigned short | col,
|  | unsigned short | row
| ) |  |

Get the child of the table at the given coordinates.

Note
  This does not take into account col/row spanning
  This does not take into account col/row spanning

Parameters

  [in] | col | No description supplied.
  [in] | row | No description supplied.